Package org.eclipse.emf.cdo.etypes

# Interface EtypesPackage

All Superinterfaces:
  `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `Notifier`

All Known Implementing Classes:
  `EtypesPackageImpl`

public interface EtypesPackage extends EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `EtypesFactory`
Generated
Model
  kind="package"
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`EtypesPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANNOTATION`
The meta object id for the '`Annotation`' class.
`static final int`
`ANNOTATION___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`ANNOTATION__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`ANNOTATION__CONTENTS`
The feature id for the 'Contents' containment reference list.
`static final int`
`ANNOTATION__DETAILS`
The feature id for the 'Details' map.
`static final int`
`ANNOTATION__MODEL_ELEMENT`
The feature id for the 'Model Element' container reference.
`static final int`
`ANNOTATION__REFERENCES`
The feature id for the 'References' reference list.
`static final int`
`ANNOTATION__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`ANNOTATION_FEATURE_COUNT`
The number of structural features of the 'Annotation' class.
`static final int`
`ANNOTATION_OPERATION_COUNT`
The number of operations of the 'Annotation' class.
`static final int`
`BLOB`
The meta object id for the 'Blob' data type.
`static final int`
`BRANCH_POINT_REF`
The meta object id for the 'Branch Point Ref' data type.
`static final int`
`BRANCH_REF`
The meta object id for the 'Branch Ref' data type.
`static final int`
`CLASSIFIER_REF`
The meta object id for the 'Classifier Ref' data type.
`static final int`
`CLOB`
The meta object id for the 'Clob' data type.
`static final EtypesPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`INPUT_STREAM`
The meta object id for the 'Input Stream' data type.
`static final int`
`LOB`
The meta object id for the 'Lob' data type.
`static final int`
`MODEL_ELEMENT`
The meta object id for the '`Model Element`' class.
`static final int`
`MODEL_ELEMENT___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`MODEL_ELEMENT__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`MODEL_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Model Element' class.
`static final int`
`MODEL_ELEMENT_OPERATION_COUNT`
The number of operations of the 'Model Element' class.
`static final int`
`READER`
The meta object id for the 'Reader' data type.
`static final int`
`STRING_TO_STRING_MAP_ENTRY`
The meta object id for the '`String To String Map Entry`' class.
`static final int`
`STRING_TO_STRING_MAP_ENTRY__KEY`
The feature id for the 'Key' attribute.
`static final int`
`STRING_TO_STRING_MAP_ENTRY__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`STRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT`
The number of structural features of the 'String To String Map Entry' class.
`static final int`
`STRING_TO_STRING_MAP_ENTRY_OPERATION_COUNT`
The number of operations of the 'String To String Map Entry' class.

## Method Summary

Modifier and Type
Method
Description
`EClass`
`getAnnotation()`
Returns the meta object for class '`Annotation`'.
`EReference`
`getAnnotation_Contents()`
Returns the meta object for the containment reference list '`Contents`'.
`EReference`
`getAnnotation_Details()`
Returns the meta object for the map '`Details`'.
`EReference`
`getAnnotation_ModelElement()`
Returns the meta object for the container reference '`Model Element`'.
`EReference`
`getAnnotation_References()`
Returns the meta object for the reference list '`References`'.
`EAttribute`
`getAnnotation_Source()`
Returns the meta object for the attribute '`Source`'.
`EDataType`
`getBlob()`
Returns the meta object for data type '`Blob`'.
`EDataType`
`getBranchPointRef()`
Returns the meta object for data type '`Branch Point Ref`'.
`EDataType`
`getBranchRef()`
Returns the meta object for data type '`Branch Ref`'.
`EDataType`
`getClassifierRef()`
Returns the meta object for data type '`Classifier Ref`'.
`EDataType`
`getClob()`
Returns the meta object for data type '`Clob`'.
`EtypesFactory`
`getEtypesFactory()`
Returns the factory that creates the instances of the model.
`EDataType`
`getInputStream()`
Returns the meta object for data type '`Input Stream`'.
`EDataType`
`getLob()`
Returns the meta object for data type '`Lob`'.
`EClass`
`getModelElement()`
Returns the meta object for class '`Model Element`'.
`EOperation`
`getModelElement__GetAnnotation__String()`
Returns the meta object for the '`Get Annotation`' operation.
`EReference`
`getModelElement_Annotations()`
Returns the meta object for the containment reference list '`Annotations`'.
`EDataType`
`getReader()`
Returns the meta object for data type '`Reader`'.
`EClass`
`getStringToStringMapEntry()`
Returns the meta object for class '`String To String Map Entry`'.
`EAttribute`
`getStringToStringMapEntry_Key()`
Returns the meta object for the attribute '`Key`'.
`EAttribute`
`getStringToStringMapEntry_Value()`
Returns the meta object for the attribute '`Value`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values
Generated

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values
Generated

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values
Generated

### eINSTANCE

static final EtypesPackage eINSTANCE
The singleton instance of the package.

Generated

### MODEL_ELEMENT

static final int MODEL_ELEMENT
The meta object id for the '`Model Element`' class.

See Also:
  - `ModelElementImpl`
  - `EtypesPackageImpl.getModelElement()`
  - Constant Field Values
Generated

### MODEL_ELEMENT__ANNOTATIONS

static final int MODEL_ELEMENT__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### MODEL_ELEMENT_FEATURE_COUNT

static final int MODEL_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Model Element' class.

See Also:
  - Constant Field Values
Generated
Ordered

### MODEL_ELEMENT___GET_ANNOTATION__STRING

static final int MODEL_ELEMENT___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.11
See Also:
  - Constant Field Values
Generated
Ordered

### MODEL_ELEMENT_OPERATION_COUNT

static final int MODEL_ELEMENT_OPERATION_COUNT
The number of operations of the 'Model Element' class.

Since:
  4.11
See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION

static final int ANNOTATION
The meta object id for the '`Annotation`' class.

See Also:
  - `AnnotationImpl`
  - `EtypesPackageImpl.getAnnotation()`
  - Constant Field Values
Generated

### ANNOTATION__ANNOTATIONS

static final int ANNOTATION__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION__SOURCE

static final int ANNOTATION__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION__DETAILS

static final int ANNOTATION__DETAILS
The feature id for the 'Details' map.

See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION__MODEL_ELEMENT

static final int ANNOTATION__MODEL_ELEMENT
The feature id for the 'Model Element' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION__CONTENTS

static final int ANNOTATION__CONTENTS
The feature id for the 'Contents' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION__REFERENCES

static final int ANNOTATION__REFERENCES
The feature id for the 'References' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION_FEATURE_COUNT

static final int ANNOTATION_FEATURE_COUNT
The number of structural features of the 'Annotation' class.

See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION___GET_ANNOTATION__STRING

static final int ANNOTATION___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

Since:
  4.11
See Also:
  - Constant Field Values
Generated
Ordered

### ANNOTATION_OPERATION_COUNT

static final int ANNOTATION_OPERATION_COUNT
The number of operations of the 'Annotation' class.

Since:
  4.11
See Also:
  - Constant Field Values
Generated
Ordered

### BLOB

static final int BLOB
The meta object id for the 'Blob' data type.

See Also:
  - `CDOBlob`
  - `EtypesPackageImpl.getBlob()`
  - Constant Field Values
Generated
  NOT

### CLOB

static final int CLOB
The meta object id for the 'Clob' data type.

See Also:
  - `CDOClob`
  - `EtypesPackageImpl.getClob()`
  - Constant Field Values
Generated
  NOT

### LOB

static final int LOB
The meta object id for the 'Lob' data type.

Since:
  4.1
See Also:
  - `CDOLob`
  - `EtypesPackageImpl.getLob()`
  - Constant Field Values
Generated
  NOT

### INPUT_STREAM

static final int INPUT_STREAM
The meta object id for the 'Input Stream' data type.

Since:
  4.3
See Also:
  - `InputStream`
  - `EtypesPackageImpl.getInputStream()`
  - Constant Field Values
Generated
  NOT

### READER

static final int READER
The meta object id for the 'Reader' data type.

Since:
  4.3
See Also:
  - `Reader`
  - `EtypesPackageImpl.getReader()`
  - Constant Field Values
Generated
  NOT

### CLASSIFIER_REF

static final int CLASSIFIER_REF
The meta object id for the 'Classifier Ref' data type.

Since:
  4.10
See Also:
  - `CDOClassifierRef`
  - `EtypesPackageImpl.getClassifierRef()`
  - Constant Field Values
Generated
  NOT

### BRANCH_REF

static final int BRANCH_REF
The meta object id for the 'Branch Ref' data type.

Since:
  4.10
See Also:
  - `CDOBranchRef`
  - `EtypesPackageImpl.getBranchRef()`
  - Constant Field Values
Generated
  NOT

### BRANCH_POINT_REF

static final int BRANCH_POINT_REF
The meta object id for the 'Branch Point Ref' data type.

Since:
  4.10
See Also:
  - `CDOBranchPointRef`
  - `EtypesPackageImpl.getBranchPointRef()`
  - Constant Field Values
Generated
  NOT

### STRING_TO_STRING_MAP_ENTRY

static final int STRING_TO_STRING_MAP_ENTRY
The meta object id for the '`String To String Map Entry`' class.

Since:
  4.22
See Also:
  - `StringToStringMapEntryImpl`
  - `EtypesPackageImpl.getStringToStringMapEntry()`
  - Constant Field Values
Generated
  NOT

### STRING_TO_STRING_MAP_ENTRY__KEY

static final int STRING_TO_STRING_MAP_ENTRY__KEY
The feature id for the 'Key' attribute.

Since:
  4.22
See Also:
  - Constant Field Values
Generated
  NOT
Ordered

### STRING_TO_STRING_MAP_ENTRY__VALUE

static final int STRING_TO_STRING_MAP_ENTRY__VALUE
The feature id for the 'Value' attribute.

Since:
  4.22
See Also:
  - Constant Field Values
Generated
  NOT
Ordered

### STRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT

static final int STRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT
The number of structural features of the 'String To String Map Entry' class.

Since:
  4.22
See Also:
  - Constant Field Values
Generated
  NOT
Ordered

### STRING_TO_STRING_MAP_ENTRY_OPERATION_COUNT

static final int STRING_TO_STRING_MAP_ENTRY_OPERATION_COUNT
The number of operations of the 'String To String Map Entry' class.

Since:
  4.22
See Also:
  - Constant Field Values
Generated
  NOT
Ordered

## Method Details

### getModelElement

EClass getModelElement()
Returns the meta object for class '`Model Element`'.

Returns:
  the meta object for class 'Model Element'.
See Also:
  - `ModelElement`
Generated

### getModelElement_Annotations

EReference getModelElement_Annotations()
Returns the meta object for the containment reference list '`Annotations`'.

Returns:
  the meta object for the containment reference list 'Annotations'.
See Also:
  - `ModelElement.getAnnotations()`
  - `getModelElement()`
Generated

### getModelElement__GetAnnotation__String

EOperation getModelElement__GetAnnotation__String()
Returns the meta object for the '`Get Annotation`' operation.

Returns:
  the meta object for the 'Get Annotation' operation.
Since:
  4.11
See Also:
  - `ModelElement.getAnnotation(java.lang.String)`
Generated

### getAnnotation

EClass getAnnotation()
Returns the meta object for class '`Annotation`'.

Returns:
  the meta object for class 'Annotation'.
See Also:
  - `Annotation`
Generated

### getAnnotation_Source

EAttribute getAnnotation_Source()
Returns the meta object for the attribute '`Source`'.

Returns:
  the meta object for the attribute 'Source'.
See Also:
  - `Annotation.getSource()`
  - `getAnnotation()`
Generated

### getAnnotation_Details

EReference getAnnotation_Details()
Returns the meta object for the map '`Details`'.

Returns:
  the meta object for the map 'Details'.
See Also:
  - `Annotation.getDetails()`
  - `getAnnotation()`
Generated

### getAnnotation_ModelElement

EReference getAnnotation_ModelElement()
Returns the meta object for the container reference '`Model Element`'.

Returns:
  the meta object for the container reference 'Model Element'.
See Also:
  - `Annotation.getModelElement()`
  - `getAnnotation()`
Generated

### getAnnotation_Contents

EReference getAnnotation_Contents()
Returns the meta object for the containment reference list '`Contents`'.

Returns:
  the meta object for the containment reference list 'Contents'.
See Also:
  - `Annotation.getContents()`
  - `getAnnotation()`
Generated

### getAnnotation_References

EReference getAnnotation_References()
Returns the meta object for the reference list '`References`'.

Returns:
  the meta object for the reference list 'References'.
See Also:
  - `Annotation.getReferences()`
  - `getAnnotation()`
Generated

### getStringToStringMapEntry

EClass getStringToStringMapEntry()
Returns the meta object for class '`String To String Map Entry`'.

Returns:
  the meta object for class 'String To String Map Entry'.
Since:
  4.22
See Also:
  - `Map.Entry`
Generated
Model
  keyDataType="org.eclipse.emf.ecore.EString" valueDataType="org.eclipse.emf.ecore.EString"

### getStringToStringMapEntry_Key

EAttribute getStringToStringMapEntry_Key()
Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
Since:
  4.22
See Also:
  - `Map.Entry`
  - `getStringToStringMapEntry()`
Generated

### getStringToStringMapEntry_Value

EAttribute getStringToStringMapEntry_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
Since:
  4.22
See Also:
  - `Map.Entry`
  - `getStringToStringMapEntry()`
Generated

### getBlob

EDataType getBlob()
Returns the meta object for data type '`Blob`'.

Returns:
  the meta object for data type 'Blob'.
See Also:
  - `CDOBlob`
Generated
Model
  instanceClass="org.eclipse.emf.cdo.common.lob.CDOBlob"

### getClob

EDataType getClob()
Returns the meta object for data type '`Clob`'.

Returns:
  the meta object for data type 'Clob'.
See Also:
  - `CDOClob`
Generated
Model
  instanceClass="org.eclipse.emf.cdo.common.lob.CDOClob"

### getLob

EDataType getLob()
Returns the meta object for data type '`Lob`'.

Returns:
  the meta object for data type 'Lob'.
Since:
  4.1
See Also:
  - `CDOLob`
Generated
Model
  instanceClass="org.eclipse.emf.cdo.common.lob.CDOLob"

### getInputStream

EDataType getInputStream()
Returns the meta object for data type '`Input Stream`'.

Returns:
  the meta object for data type 'Input Stream'.
Since:
  4.3
See Also:
  - `InputStream`
Generated
Model
  instanceClass="java.io.InputStream" serializeable="false"

### getReader

EDataType getReader()
Returns the meta object for data type '`Reader`'.

Returns:
  the meta object for data type 'Reader'.
Since:
  4.3
See Also:
  - `Reader`
Generated
Model
  instanceClass="java.io.Reader" serializeable="false"

### getClassifierRef

EDataType getClassifierRef()
Returns the meta object for data type '`Classifier Ref`'.

Returns:
  the meta object for data type 'Classifier Ref'.
See Also:
  - `CDOClassifierRef`
Generated
Model
  instanceClass="org.eclipse.emf.cdo.common.model.CDOClassifierRef"

### getBranchRef

EDataType getBranchRef()
Returns the meta object for data type '`Branch Ref`'.

Returns:
  the meta object for data type 'Branch Ref'.
See Also:
  - `CDOBranchRef`
Generated
Model
  instanceClass="org.eclipse.emf.cdo.common.branch.CDOBranchRef"

### getBranchPointRef

EDataType getBranchPointRef()
Returns the meta object for data type '`Branch Point Ref`'.

Returns:
  the meta object for data type 'Branch Point Ref'.
See Also:
  - `CDOBranchPointRef`
Generated
Model
  instanceClass="org.eclipse.emf.cdo.common.branch.CDOBranchPointRef"

### getEtypesFactory

EtypesFactory getEtypesFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated